package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.Wry;

/** 污染源环保统计 Service */
public interface WryService {
    /**
     * 查询污染源环保统计列表
     *
     * @param wry 查询条件
     * @return 污染源环保统计列表
     */
    public List<Wry> selectWryList(Wry wry);

    /**
     * 通过ID查询污染源环保统计
     *
     * @param id 主键ID
     * @return 污染源环保统计
     */
    public Wry selectWryById(String id);

    /**
     * 删除污染源环保统计
     *
     * @param ids 主键ID数组
     * @return 删除行数
     */
    public int deleteWryByIds(String[] ids);

    /**
     * 新增污染源环保统计
     *
     * @param wry 污染源环保统计
     * @return 插入行数
     */
    public int insertWry(Wry wry);

    /**
     * 修改污染源环保统计
     *
     * @param wry 污染源环保统计
     * @return 更新行数
     */
    public int updateWry(Wry wry);
}
